"use strict";
/*! date-manip v2.0.4 | MIT License */
const normalizeUnit = require("./normalizeUnit-tGj1qfOY.js");
const diffInDays = require("./diffInDays.js");
const diffInHours = require("./diffInHours.js");
const diffInMilliseconds = require("./diffInMilliseconds.js");
const diffInMinutes = require("./diffInMinutes.js");
const diffInMonths = require("./diffInMonths.js");
const diffInSeconds = require("./diffInSeconds.js");
const diffInYears = require("./diffInYears.js");
const units = require("./units.js");
const {
  DAY,
  HOUR,
  MINUTE,
  MONTH,
  SECOND,
  YEAR
} = units;
function diff(date, input, unit, asFloat) {
  unit = normalizeUnit.normalizeUnit(unit);
  switch (unit) {
    case YEAR:
      return diffInYears(date, input, asFloat);
    case MONTH:
      return diffInMonths(date, input, asFloat);
    // case DATE:
    case DAY:
      return diffInDays(date, input, asFloat);
    case HOUR:
      return diffInHours(date, input, asFloat);
    case MINUTE:
      return diffInMinutes(date, input, asFloat);
    case SECOND:
      return diffInSeconds(date, input, asFloat);
    default:
      return diffInMilliseconds(date, input, asFloat);
  }
}
module.exports = diff;
