/*! date-manip v2.0.4 | MIT License */
import { n as normalizeUnit } from "./normalizeUnit-DvvzzAOG.mjs";
import diffInDays from "./diffInDays.mjs";
import diffInHours from "./diffInHours.mjs";
import diffInMilliseconds from "./diffInMilliseconds.mjs";
import diffInMinutes from "./diffInMinutes.mjs";
import diffInMonths from "./diffInMonths.mjs";
import diffInSeconds from "./diffInSeconds.mjs";
import diffInYears from "./diffInYears.mjs";
import units from "./units.mjs";
const {
  DAY,
  HOUR,
  MINUTE,
  MONTH,
  SECOND,
  YEAR
} = units;
function diff(date, input, unit, asFloat) {
  unit = normalizeUnit(unit);
  switch (unit) {
    case YEAR:
      return diffInYears(date, input, asFloat);
    case MONTH:
      return diffInMonths(date, input, asFloat);
    // case DATE:
    case DAY:
      return diffInDays(date, input, asFloat);
    case HOUR:
      return diffInHours(date, input, asFloat);
    case MINUTE:
      return diffInMinutes(date, input, asFloat);
    case SECOND:
      return diffInSeconds(date, input, asFloat);
    default:
      return diffInMilliseconds(date, input, asFloat);
  }
}
export {
  diff as default
};
