/*! date-manip v2.0.4 | MIT License */
import units from "./units.mjs";
const { DATE, DAY, HOUR, MILLISECOND, MINUTE, MONTH, SECOND, TIME, YEAR } = units;
const compatUnits = {};
function mapUnit(key, ...args) {
  for (let i = 0; i < arguments.length; i++) {
    compatUnits[arguments[i]] = key;
  }
}
mapUnit(YEAR, "Y", "y", "years");
mapUnit(MONTH, "M", "months");
mapUnit(DATE, "D", "dates");
mapUnit(DAY, "d", "days");
mapUnit(HOUR, "h", "hours");
mapUnit(MINUTE, "m", "minutes");
mapUnit(SECOND, "s", "seconds");
mapUnit(MILLISECOND, "ms", "milliseconds");
mapUnit(TIME, "t");
function normalizeUnit(u) {
  return compatUnits[u];
}
export {
  normalizeUnit as n
};
